using CoreLibrary.Core;
using CoreLibrary.Events;
using CoreLibrary.Joueurs;
using Xunit;

namespace UnitTesting
{
    public class AjouterJoueurEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            Joueur monJoueur = new Joueur("Céleste", new Plateau(4, 12));

            AjouterJoueursEventArgs evenement = new AjouterJoueursEventArgs(monJoueur);

            Assert.Equal(monJoueur, evenement.Joueur);
        }

    }
}
